Bug 975589 - obsolete hal for upgrade path from RHEL 6
obsolete hal for upgrade path from RHEL 6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd (Show other bugs)
7.0
All Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: systemd-maint
Petr Sklenar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 16:23 EDT by David Shea
Modified: 2014-06-12 03:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: systemd-206-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-12 03:09:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Shea 2013-06-18 16:23:29 EDT
Description of problem:

hal is not in RHEL7, since its functionality has been superseded in newer versions of udev, and now systemd. However, no package metadata Obsoletes the hal packages, leaving hal and hal-libs on the system after an upgrade from RHEL 6.4 to RHEL 7.0.

Adding an Obsoletes for hal to the systemd metadata would provide a means for hal to be automatically removed. Obsoleting hal-libs would be nice, too, but less necessary since the libraries at least don't try to start any services.


Version-Release number of selected component (if applicable):
systemd-204-4.el7.x86_64
Comment 2 Paul W. Frields 2013-09-17 15:21:52 EDT
Hi systemd team, can one of you make the required change in the rhel-7.0 branch to systemd.spec?  Thanks.

Also, unfortunately since the dist-git policy for RHEL 7.0 now requires 'rhel-7.0.0+' (3-ACK'd bug), you'll need to add devel_ack+ and get a qa_ack+ to push the change referencing this bug.
Comment 3 Harald Hoyer 2013-09-17 15:26:36 EDT
* Thu Aug 22 2013 Harald Hoyer <harald@redhat.com> 206-5
- obsolete upstart
Resolves: rhbz#978014
- obsolete hal
Resolves: rhbz#975589
Comment 11 Lukáš Nykrýn 2014-06-12 03:09:09 EDT
spec file contains Obsoletes: hal

Note You need to log in before you can comment on or make changes to this bug.